API REFERENCE
Store Ad Content - Longest Running API
GET
/open-api/v1/ad-stores/ad-content-longest-run·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/ad-stores/ad-content-longest-run?store_id=3da0b54f87306bebc81196bcf8cdba02' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| store_id
query · required
| string | Ad Store ID | |
| order_by
query · optional
| string | Sort field | Options: ad_count, active_ad_count, latest_ad_started_at |
| direction
query · optional
| string | Sort direction | Options: desc (descending), asc (ascending) |
| page
query · optional
| integer | Page number | Min value: 1. |
| per_page
query · optional
| integer | Items per page | Range: 1-100. |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"current_page": 1,
"data": [
{
"id": "257fe7826750a7c6ddfc2977c27658a9",
"source_ad_id": "1226526215285133",
"ad_content": "There's nothing more than this elegant dress to make your day! 🥰\nhttps://bloery.com/products/blue-flared-sleeve-satin-maxi-dress",
"media_format": 1,
"images": [],
"videos": [
{
"url": "https://fb-cdn.pipiads.com/videos/f5974b833b4959cca9c1ca3552b6a39a.mp4",
"width": 720,
"height": 1280,
"duration": 6,
"cover_url": "https://fb-cdn.pipiads.com/images/49a2336296f1d09c872d2d078bf14fff.png"
}
],
"cards": [],
"ad_started_at": 1728370800,
"active_days": 1,
"ad_status": 1
}
],
"last_page": 1,
"per_page": 10,
"total": 1
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business Status Code | |
| » message | string | true | none | Response message | |
| » data | object | true | none | Response data | |
| »» current_page | integer | true | none | Current page number | |
| »» data | array | true | none | Data list | Array of objects |
| »»» id | string | true | none | Unique ID | |
| »»» ad_content_md5 | string | true | none | MD5 hash of ad content | |
| »»» ad_content | string | true | none | Ad content text | |
| »»» ad_count | integer | true | none | Total ads count | |
| »»» active_ad_count | integer | true | none | Active ads count | |
| »»» percentage | number | true | none | Usage percentage | Expressed as percentage (e.g., 25.5) |
| »»» ad_started_at | integer | true | none | Ad start time | Unix timestamp (seconds) |
| »»» ad_ended_at | integer | true | none | Ad end time | Unix timestamp (seconds) |
| »»» active_days | integer | true | none | Days active | |
| »»» latest_ad_started_at | integer | true | none | Latest ad date | Unix timestamp (seconds) |
| »» last_page | integer | true | none | Last page number | |
| »» per_page | integer | true | none | Items per page | |
| »» total | integer | true | none | Total data count | |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
